<?php
 /**

 */

  date_default_timezone_set('America/Costa_Rica');

	include ("../conexion.php");

	$codfactura=$_GET["codfactura"];
	$horaactual = date("h:i:s A");

   
    $consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
		 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];
		 $tipimp = $fila["TIPIMP"];
		 $tipo_comprobante=$fila["tipcomprobante"];
		 $monpro=$fila["monpro"];
		 $nompro=$fila["nompro"];


   $consulta ="SELECT * FROM facturas WHERE codfactura='$codfactura'";
	  $result = $mysqli->query($consulta);
      $row = $result->fetch_array();

        $marcaestado = $row["estado"];
        $marcaborrado = $row["borrado"];
		$horaactual = $row["horfac"];
        $horfac = $row["horfac"];
        $fecha = $row["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $row["cdgtipven"];
		$numfactura = $row["numfactura"];
	//	$numfactura    = substr($numfactura, -10);
		$cdgcli = $row["cdgcli"];
		$dsccli = $row["dsccli"];
        $fecven = $row["fechavencimiento"];
		$fecven= implode("-", array_reverse(explode("-", $fecven)));
		$codfactura = $row["codfactura"];
		$cdgven = $row["cdgven"];
		$cdgcaj = $row["cdgcaj"];
		$obsfac = $row["obsfac"];
		$pagacon = $row["pagacon"];
		$vuelto = $row["vuelto"];
		$numcomp =  $row['numcomp'];
		$cdgclave =  $row['cdgclave'];		
      //////////////////////////   se hacen cambios en la version  4.3 /////////////////////



      $cliente ="Select * from facturas, web_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= web_0301.cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $dircli = $row2["DIRCLI"];
	  $cedcli = $row2["CEDCLI"];
	  $numtel = $row2["NUMTEL"];
      $dsccli = $row2["dsccli"];	
	 $clitributa = $row2["clitributa"];

		
		if ( $clitributa  == 1 )  {	 // si el tipo de comprobante es tiquete 
    
	 $tipofactura="FACTURA ";	

	} else {
		$tipofactura="TIQUETE ";

	} 
		
		if ($cdgtipven == 1 ) { $tipo_venta=" CONTADO N. "; $vencimiento ="                 ";} else { $tipo_venta=" CREDITO N. ";   $vencimiento ="Vence: ". $fecven; }
        

 		$usuario3 = "SELECT * FROM usuarios WHERE codusu='$cdgven'";
		$resultado3 = $mysqli->query($usuario3);
		$row3 = $resultado3->fetch_array();
		$vendedor = $row3["usu"];
		
		$usuario4 = "SELECT * FROM usuarios WHERE codusu='$cdgcaj'";
		$resultado4 = $mysqli->query($usuario4);
		$row4 = $resultado4->fetch_array();
		$cajero = $row4["usu"];



$ip = $_SERVER["REMOTE_ADDR"];

if ($ip=="127.0.0.1"){

echo $puerto="LPT1";

  } else {
  
echo $puerto="LPT2";
$tipimp=="TERMICA";


  }  


if(($handle = @fopen($puerto, "w")) === FALSE){
echo exec('Impresoras');

        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');





if ($cdgtipven==1) { 

fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON

}

		$subtotal        = 0;
		$impuesto_venta  = 0;
		$total_descuento = 0;
		$total           = 0;


if ($tipimp=="MATRIX"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////



   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 



//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura = $tipofactura." CREDITO N  ".$numfactura;
	    $venfac = str_pad("Cajero: " . $cajero , 23);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."            ".$horaactual);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);


///////////////////////////////   imprime direccion y telefono cliente difente 9999    //////////////////////////////////


//if (cdgcli != 9999){

//fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"Direccion: " . $dircli. " - Telefono: ".$numtel);

 //}
 
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$vendedor = "Vendedor: " . $vendedor ;
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, $vendedor);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Precio U."."             Precio"); 
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
	echo	$cantidad=number_format($cantidad,3,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 

	  
	$resultado=number_format($sublin,2,".",",");
	$preivi=number_format($preivi,2,".",",");
	
$preivi=sprintf("%15s",$preivi) ;
$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $preivi ."". $sublin." ".$impart);	
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A. :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, "ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, "AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, "COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, "RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, "DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, "EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, "GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, "FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, "FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle,"________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"       (E) Exento - (G) Gravado        "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$menfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

  //////////////////////   MUESTRA EL NUEVO SALDO DEL CLIENTE  /////////////////////////

$consulta4 = "SELECT SALACT, FECVEN FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ";
if ($resultado4 = $mysqli->query($consulta4)) 
$contador=0;

 while ($fila = $resultado4->fetch_assoc()) {
 

	$hoy=date("y-m-d");
	
       $salact      = $fila["SALACT"];
        $fecven    = $fila["FECVEN"];
		
	

		$segundos=strtotime($hoy) - strtotime($fecven);
		$dias=intval($segundos/60/60/24);
	
		if 	($dias  > 0 ) {
		$taza=$tazint/100;
		$interes=$salact*$taza;
		$saldo=$interes/30;
		$monint=$saldo*$dias;
		$monint=round($monint,2);
		} else {
		$monint=0;
		
		}
			$contador++;
			$total_saldo=$salact + $total_saldo;
		    $total_interes = $monint + $total_interes;
	}
	$salact= $total_saldo + $total_interes;
	echo $salact=round($salact);

	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
//$salact=number_format($salact,2,".",",");
//$salact=sprintf("%13s",$salact) ;
//fwrite($handle,"      SALDO ACTUAL:  ");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $salact) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel








 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////
 
 
 //fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CONTADO N  ".$numfactura;
	    $venfac = str_pad("Cajero: " . $cajero , 23);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."            ".$horaactual);
  

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);


///////////////////////////////   imprime direccion y telefono cliente difente 9999    //////////////////////////////////


//if (cdgcli != 9999){

//fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"Direccion: " . $dircli. " - Telefono: ".$numtel);

 //}

fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


$vendedor = "Vendedor: " . $vendedor ;
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, $vendedor);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

	
$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
							
					
				echo	$subtotal=$subtotal + $importe;
				echo	$impuesto_venta=$impuesto_venta + $impuesto;
				echo	$total_descuento=$total_descuento + $descuento;
					    $total=$subtotal-$total_descuento+$impuesto_venta;
						$cantidad=number_format($cantidad,3,'.',',');
						$total=round($total);
						
						if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	$preivi=number_format($preivi,2,".",",");
	
$preivi=sprintf("%15s",$preivi) ;
$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $preivi ."". $sublin." ".$impart);	
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A. :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto) ;
fwrite($handle,"Paga con:  ");
fwrite($handle,$pagado);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio) ;
fwrite($handle,"Vuelto:  ");
fwrite($handle,$saldo);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$menfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


} 
//////////////////////////////////     imprime cupon de rifa si lo requiere   ////////////////////////////////////////
$total = str_replace (",","",$total);
$acciones = $total / $monpro;
$acciones = intval($acciones);

if ($acciones > 5 ){ $acciones  = 5; }

while( $acciones > 0) {

fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $nompro);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda

if($cdgcli <> "9999") {

fwrite($handle,"Nombre: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula: " . $cedcli);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Telefono: " . $numtel);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Factura N.: " . $numcomp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea



echo "Nombre: " . $cdgcli ."-".$dsccli;
echo "<BR>";
echo "Cedula: " . $cedcli;
echo "<BR>";
echo "Telefono: " . $numtel;
echo "<BR>";
echo "Factura N.: " . $numcomp;
echo "<BR>";



} else {


fwrite($handle,"Nombre: ____________________________" );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula: ____________________________" );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Telefono: __________________________" );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Factura N.: ________________________" );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


echo "Nombre: _____________" ;
echo "<BR>";
echo "Cedula:________________ " ;
echo "<BR>";
echo "Telefono:___________ " ;
echo "<BR>";
echo "Factura N.:  _____________" ;
echo "<BR>";


}  //CIERRA QUE CLIENTE  ES GENERICO

$acciones = $acciones - 1 ;   // contador de acciones 

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel

}  //////  CIERRA QUE TIENE CUPONES PROMOCIONALES 


}//**********************************  Cierra tipo de impresora MATRIX ****************************************//

if ($tipimp=="TERMICA"){  //  ************************Si la impresora es TIPO TERMICA ****************************///////////////


fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
	  $factura = $tipofactura.$tipo_venta.$numfactura;
fwrite($handle, $factura );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("Cajero: " . $vendedor ,27);
fwrite($handle,"    Fecha: ". $fecha."                ".$horaactual);

  $dsccli = substr($dsccli." ", 0,30);
  


fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"    Cliente: " . $cdgcli ."-".$dsccli);



fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $CAJERO);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
							
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
						
			if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart);	
  $acotado = substr("   ".$dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

							
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A. :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea				 
				 				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS

   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 


fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"    ____________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"     Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "      ".$numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$obsfac );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$menfac);


     //////////////////////   MUESTRA EL NUEVO SALDO DEL CLIENTE  /////////////////////////

//	$query_tmp="SELECT salact, fecven FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ";
//	$rs_tmp=mysql_query($query_tmp);
//	$contador=0;
//	$hoy=date("y-m-d");
//	
//	
// if ( mysql_num_rows($rs_tmp)>0) {
//	
//	while ($contador < mysql_num_rows($rs_tmp)) {
//	
//
//		$salact=mysql_result($rs_tmp,$contador,"salact");
//		$fecven=mysql_result($rs_tmp,$contador,"fecven");
//
//		$segundos=strtotime($hoy) - strtotime($fecven);
//		$dias=intval($segundos/60/60/24);
//	
//		if 	($dias  > 0 ) {
//		$taza=$tazint/100;
//		$interes=$salact*$taza;
//		$saldo=$interes/30;
//		$monint=$saldo*$dias;
//		$monint=round($monint,2);
//		} else {
//		$monint=0;
//		
//		}
//			$contador++;
//			$total_saldo=$salact + $total_saldo;
//		$total_interes = $monint + $total_interes;
//	}
//	$salact= $total_saldo + $total_interes;
//	$salact=round($salact);
//
//	}


	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
//$salact=number_format($salact,2,".",",");
//$salact=sprintf("%13s",$salact) ;
//fwrite($handle,"      SALDO ACTUAL:  ");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $salact) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel




//////////////////////////////////////////////////////          si la factura es de credito imprime copia para el clientes /////////////////////////////////


fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, " ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
	  $factura = $tipofactura.$tipo_venta.$numfactura;
fwrite($handle, $factura );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("Cajero: " . $vendedor ,27);
fwrite($handle,"    Fecha: ". $fecha."                ".$horaactual);


  $dsccli = substr($dsccli." ", 0,30);


fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"    Cliente: " . $cdgcli ."-".$dsccli);


fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $CAJERO);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    ---------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
		$subtotal=0;
		$impuesto_venta=0;
		$total_descuento=0;
		$total=0;
 
$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea = $fila["numlinea"];
        $cdgbar = $fila["codigo"];
        $dscart = $fila["dscart"];
		$cantidad= $fila["cantidad"];
		$preivi = $fila["preivi"];
		$prenivi = $fila["prenivi"];
		$importe = $fila["importe"];
		$impuesto= $fila["impuesto"];
		$descuento= $fila["mondes"];
							
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
						
				if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart);	
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

							
							
				 } 
				 		
						
						
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A. :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea								 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS

fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "      ".$numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$obsfac );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$menfac);
	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
//$salact=sprintf("%13s",$salact) ;
//fwrite($handle,"      SALDO ACTUAL:  ");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $salact) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel








 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto);
fwrite($handle,"Monto Recibido:  ");
fwrite($handle,$pagado) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio);
fwrite($handle,"Su Cambio Gracias:  ");
fwrite($handle,$saldo) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "      ".$numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$obsfac );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel
}
}//**********************************  Cierra tipo de impresora TERMICA ****************************************//

	
if ($tipimp=="BEMANTECH"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////



   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 



//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON


fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CREDITO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
        $cantidad=number_format($cantidad,3,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart);	
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A. :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, "ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, "AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, "COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, "RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, "DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, "EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, "GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, "FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, "FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle,"_____________________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"       (E) Exento - (G) Gravado        "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$menfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel




//////////////////////////////// 2 segunda copia del cliente ////////////////////////////////////////////////////////


//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"  Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CREDITO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$subtotal=0;
$impuesto_venta=0;
$total_descuento=0;
$total==0;
$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
        $cantidad=number_format($cantidad,3,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart);	
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A. :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");

fwrite($handle, chr(27). chr(97). chr(1));//centrado

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado     "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$menfac);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel / 1 SOLO CORTE




 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////
 
 
 //fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON

fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CONTADO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);


fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);


fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

	
$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
							
					
				echo	$subtotal=$subtotal + $importe;
				echo	$impuesto_venta=$impuesto_venta + $impuesto;
				echo	$total_descuento=$total_descuento + $descuento;
					    $total=$subtotal-$total_descuento+$impuesto_venta;
						$cantidad=number_format($cantidad,3,'.',',');
						$total=round($total);
						
			if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart);	
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
		
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A. :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto) ;
fwrite($handle,"Paga con:  ");
fwrite($handle,$pagado);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio) ;
fwrite($handle,"Vuelto:  ");
fwrite($handle,$saldo);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"clave: ".$cdgclave);
//fwrite($handle,$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$menfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


} 

}//**********************************  Cierra tipo de impresora MATRIX ****************************************//	
		 
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN
echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

?>

 